=== debian/changelog ===
ros-one-compressed-depth-image-transport (1.15.0-9jammy.20251023.0248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 02:48:39 +0000

ros-one-compressed-depth-image-transport (1.15.0-0jammy) jammy; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix number of elements in vector parameter to call cv::imencode for OpenCV 4.7 (#130 <https://github.com/ros-perception/image_transport_plugins/issues/130>)
  * Fix uninitialized memory usage (#125 <https://github.com/ros-perception/image_transport_plugins/issues/125>)
  * Make the default compressed depth png_level 1 instead of 9 to save cpu (#85 <https://github.com/ros-perception/image_transport_plugins/issues/85>)
    The default 9 is so cpu intensive to be frequently unusable and results in many dropped frames, and there is still plenty of bandwidth savings from the compression at level 1.
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Fix regression in compressed_depth_image_transport with old bags (#64 <https://github.com/ros-perception/image_transport_plugins/issues/64>)
  * Contributors: Johannes Meyer, Kenji Brameld, Lucas Walter, Martin Pecka, Michael Carroll, Timm Linder, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.14.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Add depth compression by RVL #42 <https://github.com/ros-perception/image_transport_plugins/issues/42>
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Add legacy constants when using opencv4 #32 <https://github.com/ros-perception/image_transport_plugins/issues/32>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Hans Gaiser, Sean Yen, Shuntaro Yamazaki

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.5-0jammy) jammy; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.4-0jammy) jammy; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.3-0jammy) jammy; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.2-0jammy) jammy; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.1-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.0-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.21-0jammy) jammy; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.20-0jammy) jammy; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.19-0jammy) jammy; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.18-0jammy) jammy; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-compressed-depth-image-transport (1.8.17-0jammy) jammy; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.16-0jammy) jammy; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.15-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-compressed-depth-image-transport (1.8.14-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-compressed-depth-image-transport (1.8.13-0jammy) jammy; urgency=high

  * fix the bad exports

